#include "partition.h"
#include <vector>
#include <algorithm>
#pragma GCC optimize("unroll-loops","fast-maths")
#define mp make_pair

using namespace std;

vector<int> solve(vector<int> A)
{
    vector<int> solution;
    for(int i=0;i<n;i++)
    {
        solution.push_back(i);
        if(i!=n-i-1)
            solution.push_back(n-i-1);
    }
    return ans;
}

